// file: $isip/class/search/HistoryPool/cpol_00.cc
// version: $Id: hpol_00.cc 9000 2003-01-23 20:00:34Z alphonso $
//

// isip include files
//
#include "HistoryPool.h"

// method: default constructor
//
// arguments: none
//
// return: none
//
// this is the default constructor for the HistoryPool class
//
HistoryPool::HistoryPool() {

  if (debug_level_d >= Integral::ALL) {     
    fprintf(stdout, "Constructor of history_pool: %p\n", this);
    fflush(stdout);
  }
    
  // set the allocation mode
  //
  pool_d.setAllocationMode(DstrBase::USER);

  // set the history pool capacity
  //
  pool_d.setCapacity(DEF_CAPACITY);  
}

// method: copy constructor
//
// arguments:
//  const HistoryPool& copy_node: (input) node to copy
//
// return: none
//
// this is the copy constructor for the HistoryPool class
//
HistoryPool::HistoryPool(const HistoryPool& copy_node_a) {

  if (debug_level_d >= Integral::ALL) {     
    fprintf(stdout, "Constructor of history_pool: %p\n", this);
    fflush(stdout);
  }
    
  // assign the node
  //
  assign(copy_node_a);
}

// constants: required constants such as class name
//
const String HistoryPool::CLASS_NAME(L"HistoryPool");

// constants: i/o related constants
//
const String HistoryPool::DEF_PARAM(L"HistoryPool");

// static instantiations: memory manager and debug level
//
MemoryManager HistoryPool::mgr_d(sizeof(HistoryPool), name());
Integral::DEBUG HistoryPool::debug_level_d = Integral::NONE;
